Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-54706

Moodle plugin updates fail if proxy is needed (issues with SNI @download.moodle.org)

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 3.0.1, 3.0.2, 3.0.3, 3.0.4, 3.1, 3.1.1
    • Fix Version/s: None
    • Component/s: Administration
    • Labels:
    • Difficulty:
      Difficult
    • Affected Branches:
      MOODLE_30_STABLE, MOODLE_31_STABLE
    • Sprint:
      3.2 Sprint 4

      Description

      Our server is behind a proxy. Checking for updates works fine, but plugins cannot be updated automatically. Workaround: download with browser and install as ZIP.

      Error when plugin update is clicked (questionnaire is just an example):

      {{Debugging output enabled
      cURL request for "https://moodle.org/plugins/download.php/11327/mod_questionnaire_moodle31_2016020201.zip" failed, HTTP response code: HTTP/1.1 403 Forbidden

      line 1354 of /lib/filelib.php: call to debugging()
      line 440 of /lib/classes/update/code_manager.php: call to download_file_content()
      line 409 of /lib/classes/update/code_manager.php: call to core\update\code_manager->download_file_content()
      line 120 of /lib/classes/update/code_manager.php: call to core\update\code_manager->download_plugin_zip_file()
      line 1084 of /lib/classes/plugin_manager.php: call to core\update\code_manager->get_remote_plugin_zip()
      line 1265 of /lib/classes/plugin_manager.php: call to core_plugin_manager->get_remote_plugin_zip()
      line 2276 of /lib/upgradelib.php: call to core_plugin_manager->install_plugins()
      line 199 of /admin/plugins.php: call to upgrade_install_plugins()

      Error fetching plugin ZIP.

      line 392 of /lib/classes/update/code_manager.php: call to debugging()
      line 412 of /lib/classes/update/code_manager.php: call to core\update\code_manager->debug()
      line 120 of /lib/classes/update/code_manager.php: call to core\update\code_manager->download_plugin_zip_file()
      line 1084 of /lib/classes/plugin_manager.php: call to core\update\code_manager->get_remote_plugin_zip()
      line 1265 of /lib/classes/plugin_manager.php: call to core_plugin_manager->get_remote_plugin_zip()
      line 2276 of /lib/upgradelib.php: call to core_plugin_manager->install_plugins()
      line 199 of /admin/plugins.php: call to upgrade_install_plugins()

      Downloading mod_questionnaire ...
      <- https://moodle.org/plugins/download.php/11327/mod_questionnaire_moodle31_2016020201.zip
      -> ... Error}}

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              jand Jan Derriks
              Participants:
              Component watchers:
              Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
              Votes:
              8 Vote for this issue
              Watchers:
              12 Start watching this issue

                Dates

                Created:
                Updated: